
---
stages:
  - typeset

variables:
  GIT_SUBMODULE_STRATEGY: recursive

final_report:
  stage: typeset
  image: registry.gitlab.com/silkeh/latex:latest
  script:
    - apk update; apk add make
    - make -j
  artifacts:
    paths:
      - report.pdf
  only:
    refs:
      - web
      - branches
      - tags
    changes:
      - include/*.tex
      - include/references.bib
      - report.tex
      - content/*.tex
      - graphics/*.tex
